Skip to main content
POST
/
api
/
v1
/
contract
create entity
curl --request POST \
  --url https://api.example.com/api/v1/contract \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectId": 123,
  "name": "USDT contract",
  "chainUid": "arbitrum",
  "address": "0xdac17f958d2ee523a2206206994597c13d831ec7",
  "category": "<string>",
  "abi": [
    {}
  ],
  "addressType": "CONTRACT",
  "amlRequired": false,
  "icon": "<string>",
  "tags": [
    "<string>"
  ]
}
'
{
  "id": 1,
  "createdAt": 123,
  "updatedAt": 123,
  "projectId": 123,
  "chainUid": "arbitrum",
  "address": "<string>",
  "implementation": "<string>",
  "name": "<string>",
  "category": "<string>",
  "tags": [
    "<string>"
  ],
  "addressType": "CONTRACT",
  "amlRequired": true,
  "icon": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Body

application/json
projectId
integer<int64>
required

The project ID associated with the extractor contract

name
string
required

Name for the entity

Pattern: \S
Example:

"USDT contract"

chainUid
enum<string>

Network uid that associated with extractor contract

Available options:
arbitrum,
bsc,
bsc_testnet,
ethereum,
linea,
optimism,
base,
base_sepolia,
gnosis,
fantom,
polygon,
polygon_amoy,
blast,
zksync,
scroll,
avalanche,
avalanche_fuji,
telos,
sepolia,
holesky,
ethereum_sepolia,
ethereum_holesky,
tron,
zeta,
somnia,
adi,
anvil,
icp,
vechain,
stellar,
bitcoin,
solana
address
string

The direct address of the extractor contract

Example:

"0xdac17f958d2ee523a2206206994597c13d831ec7"

category
string

Contract category

abi
object[]

Contract abi, example: [{"input": "source"}] (We are using it as a main contract abi, even if the address is a proxy contract address)

addressType
enum<string>

The type of a provided address, could be "Contract" or "Wallet"

Available options:
CONTRACT,
WALLET,
ENTITY
Example:

"CONTRACT"

amlRequired
boolean
default:false

If the AML detector required for this contract. Default: false

icon
string

A URL of an icon for the contract

tags
string[]

Contract tags

Response

200 - application/json

OK

id
integer<int64>

Unique identifier of the entity

Example:

1

createdAt
integer<int64>

Time when entity was created

updatedAt
integer<int64>

Time when entity was updated

projectId
integer<int64>

The project ID associated with the extractor contract

chainUid
enum<string>

Network uid that associated with extractor contract

Available options:
arbitrum,
bsc,
bsc_testnet,
ethereum,
linea,
optimism,
base,
base_sepolia,
gnosis,
fantom,
polygon,
polygon_amoy,
blast,
zksync,
scroll,
avalanche,
avalanche_fuji,
telos,
sepolia,
holesky,
ethereum_sepolia,
ethereum_holesky,
tron,
zeta,
somnia,
adi,
anvil,
icp,
vechain,
stellar,
bitcoin,
solana
address
string

The direct address of the extractor contract

implementation
string

Implementation address associated with the extractor contract, not null means this is a proxy contract

name
string

Name for the entity

category
string

Contract category

tags
string[]

Contract tags

addressType
enum<string>

The type of a provided address, could be "Contract" or "Wallet"

Available options:
CONTRACT,
WALLET,
ENTITY
amlRequired
boolean

If the AML detector required for this contract. Default: false

icon
string

A URL of an icon for the contract